获取 Session
curl --request GET \
--url https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId} \
--header 'Authorization: Bearer <token>' \
--header 'zai-beta: <zai-beta>' \
--header 'zai-version: <zai-version>'import requests
url = "https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId}"
headers = {
"zai-version": "<zai-version>",
"zai-beta": "<zai-beta>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'zai-version': '<zai-version>',
'zai-beta': '<zai-beta>',
Authorization: 'Bearer <token>'
}
};
fetch('https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId}")
.header("zai-version", "<zai-version>")
.header("zai-beta", "<zai-beta>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("zai-version", "<zai-version>")
req.Header.Add("zai-beta", "<zai-beta>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"zai-beta: <zai-beta>",
"zai-version: <zai-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "sess_01J...",
"type": "session",
"agent": {
"id": "<string>",
"type": "agent",
"name": "<string>",
"model": {
"id": "glm-5.3",
"speed": "standard",
"effort": "max"
},
"system": "<string>",
"description": "<string>",
"tools": [
{
"type": "agent_toolset_20260601",
"default_config": {
"enabled": true,
"permission_policy": {
"type": "always_allow"
}
},
"configs": [
{
"name": "read",
"enabled": true,
"permission_policy": {
"type": "always_allow"
}
}
]
}
],
"skills": [
{
"type": "custom",
"skill_id": "<string>",
"version": "<string>"
}
],
"mcp_servers": [
{
"type": "url",
"name": "knowledge-base",
"url": "https://mcp.example.com/mcp"
}
],
"version": 1,
"multiagent": null
},
"environment_id": "<string>",
"status": "idle",
"title": "<string>",
"metadata": {},
"resources": [
{
"type": "memory_store",
"memory_store_id": "<string>",
"name": "<string>",
"description": "<string>",
"access": "read_only",
"instructions": "<string>",
"mount_path": "<string>"
}
],
"vault_ids": [
"<string>"
],
"outcome_evaluations": [
{}
],
"stats": {
"active_seconds": 123,
"duration_seconds": 123
},
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"cache_read_input_tokens": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"archived_at": "<string>",
"budget": null
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"details": {}
},
"request_id": "req_01J..."
}Session
获取 Session
获取指定 Session 的配置、状态、关联 Agent 与 Environment,以及归档和错误信息。无读取权限时与资源不存在时均返回 404。点击 Try it 按钮可快速试用。
GET
/
agent
/
managed
/
v1
/
sessions
/
{sessionId}
获取 Session
Headers
Managed Agents API 协议版本,固定为 2026-05-26。
Available options:
2026-05-26 Example:
"2026-05-26"
必须包含 managed-agents-2026-05-26;可与其他 beta 标识用逗号分隔。
Example:
"managed-agents-2026-05-26"
Path Parameters
sessionId 资源标识。
Response
请求成功。
Session ID。
Example:
"sess_01J..."
Available options:
session Show child attributes
Show child attributes
Available options:
idle, running, rescheduling, terminated Session 标题。
客户端自定义元数据;省略时默认为空对象。最多 16 个键,键名长度不超过 64 字符,值必须是长度不超过 512 字符的字符串。
Show child attributes
Show child attributes
- memory_store
- file
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
创建时间。
更新时间。
归档时间。
当前不支持会话级消费上限,固定为 null。
Was this page helpful?